---
name: Bug report
about: Create a report to help us improve
title: ''
labels: ''
assignees: ''

---

## Bug Report

<!--
IMPORTANT: Your issue might be closed if we are not able to reproduce the problem. Please take the time to describe how to reproduce it and give as much details as possible. The more effort you put in, the more chance of finding a solution.
-->

### What happened?

<!--
A clear and concise description of what the bug is.

If you can, drag and drop screenshots or a screencast to show the problem, they are super helpful to avoid misunderstandings.
-->

### Expected behavior

<!-- Tell us what you think should happen. -->

### How to reproduce?

<!--
If you can, drag and drop the publication used to reproduce the problem, after zipping it.

Then, explain the steps to reproduce the problem from the Test App (https://github.com/readium/r2-testapp-swift). For example:

1. Open book X
2. Go to chapter Y
3. Click on link Z
4. See error
-->

### Environment

<!-- Fill in the following information -->

* Readium version: 

#### Development environment

<!--
Paste the output of these commands:

echo "macOS: `sw_vers -productVersion`"
echo "platform: `uname -m`"
echo "carthage: `carthage version`"
xcodebuild -version

-->

#### Testing device

* iOS version:
* Model (e.g. iPhone 11 Pro Max): 
* Is it an emulator? Yes or No

### Additional context

* Are you willing to fix the problem and contribute a pull request? Yes or No <!-- Help can be provided to guide you through the project -->

<!--
Share additional code showing how you use Readium, if relevant.

Output logs are useful as well.

If you already went through the codebase to find the bug, you can explain your findings here.
-->
